ZITADEL Docs
APIsCore ResourcesV1Organization Objects

Create Application Key

Deprecated: Use CreateApplicationKey instead to create an application key.

Create a new application key, they are used for authorizing API Applications. Key details will be returned in the response, make sure to save it.

POST
/projects/{project_id}/apps/{app_id}/keys

Path Parameters

project_id*string
app_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/projects/string/apps/string/keys" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "details": {
    "sequence": 0,
    "creationDate": "2023-01-15T01:30:15.01Z",
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string"
  },
  "keyDetails": "string"
}

Was this page helpful?